# class ActionView::Template::Handlers::Builder

### Public Instance Methods

call(template) click to toggle source

    # File lib/action_view/template/handlers/builder.rb, line 8
    def call(template)
      require_engine
      "xml = ::Builder::XmlMarkup.new(:indent => 2);" +
        "self.output_buffer = xml.target!;" +
        template.source +
        ";xml.target!;"
    end

### Protected Instance Methods

require_engine() click to toggle source

    # File lib/action_view/template/handlers/builder.rb, line 18
    def require_engine
      @required ||= begin
        require "builder"
        true
      end
    end